# Uses of Class
com.usatiuk.dhfs.persistence.PeerInfoP

Packages that use PeerInfoP
Package
Description
com.usatiuk.dhfs.peersync
com.usatiuk.dhfs.persistence

## Uses of PeerInfoP in com.usatiuk.dhfs.peersync

Methods in com.usatiuk.dhfs.peersync that return PeerInfoP
Modifier and Type
Method
Description
`PeerInfoP`
PeerInfoProtoSerializer.`serialize(PeerInfo object)`
Methods in com.usatiuk.dhfs.peersync with parameters of type PeerInfoP
Modifier and Type
Method
Description
`PeerInfo`
PeerInfoProtoSerializer.`deserialize(PeerInfoP message)`

## Uses of PeerInfoP in com.usatiuk.dhfs.persistence

Methods in com.usatiuk.dhfs.persistence that return PeerInfoP
Modifier and Type
Method
Description
`PeerInfoP`
PeerInfoP.Builder.`build()`
`PeerInfoP`
PeerInfoP.Builder.`buildPartial()`
`static PeerInfoP`
PeerInfoP.`getDefaultInstance()`
`PeerInfoP`
PeerInfoP.Builder.`getDefaultInstanceForType()`
`PeerInfoP`
PeerInfoP.`getDefaultInstanceForType()`
`static PeerInfoP`
PeerInfoP.`parseDelimitedFrom(InputStream input)`
`static PeerInfoP`
PeerInfoP.`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PeerInfoP`
PeerInfoP.`parseFrom(byte[] data)`
`static PeerInfoP`
PeerInfoP.`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PeerInfoP`
PeerInfoP.`parseFrom(com.google.protobuf.ByteString data)`
`static PeerInfoP`
PeerInfoP.`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PeerInfoP`
PeerInfoP.`parseFrom(com.google.protobuf.CodedInputStream input)`
`static PeerInfoP`
PeerInfoP.`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PeerInfoP`
PeerInfoP.`parseFrom(InputStream input)`
`static PeerInfoP`
PeerInfoP.`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static PeerInfoP`
PeerInfoP.`parseFrom(ByteBuffer data)`
`static PeerInfoP`
PeerInfoP.`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
Methods in com.usatiuk.dhfs.persistence that return types with arguments of type PeerInfoP
Modifier and Type
Method
Description
`com.google.protobuf.Parser<PeerInfoP>`
PeerInfoP.`getParserForType()`
`static com.google.protobuf.Parser<PeerInfoP>`
PeerInfoP.`parser()`
Methods in com.usatiuk.dhfs.persistence with parameters of type PeerInfoP
Modifier and Type
Method
Description
`PeerInfoP.Builder`
PeerInfoP.Builder.`mergeFrom(PeerInfoP other)`
`static PeerInfoP.Builder`
PeerInfoP.`newBuilder(PeerInfoP prototype)`